<div>
    <h2 id="page-heading">
        <span>Job Assignments</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-job-assignment" [routerLink]="['/job-assignment/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Job Assignment
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="jobAssignments?.length === 0">
        <span>No jobAssignments found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="jobAssignments && jobAssignments.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>Image Url</span></th>
                    <th scope="col" ><span>Created At</span></th>
                    <th scope="col" ><span>Updated At</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let jobAssignment of jobAssignments ;trackBy: trackId">
                    <td><a [routerLink]="['/job-assignment', jobAssignment.id, 'view']">{{ jobAssignment.id }}</a></td>
                    <td>{{ jobAssignment.imageUrl }}</td>
                    <td>{{ jobAssignment.createdAt | date:'medium' }}</td>
                    <td>{{ jobAssignment.updatedAt | date:'medium' }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/job-assignment', jobAssignment.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/job-assignment', jobAssignment.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(jobAssignment)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
